\begin{equation*}
\begin{tikzpicture}[
  baseline = (current  bounding  box.center),
  mystyle/.style = {
    matrix of math nodes,
    every node/.append style = {
      text width = #1, align = center, minimum height = 1ex
    },
    nodes in empty cells,
    left delimiter=[,
    right delimiter=],
  },
  rstyle/.style = {
    matrix of math nodes,
    every node/.append style = {
      text width = #1, align = center, minimum height = 1ex, font = \scriptsize
    },
    nodes in empty cells
  }
]
\matrix[rstyle = .1cm] (R)
{
  R_1 \\
  R_2 \\
};

\matrix[mystyle = .6cm, right = 20pt of R] (A)
{
  A_{vv} & A_{sv}^T \\
  A_{sv} & A_{ss} \\
};
\draw[line width = 3pt, green]
  ([xshift = -15pt, yshift = 2pt]A-1-1.north west) --
  ([xshift = -15pt, yshift = 2pt]A-1-1.south west);
\draw[line width = 3pt, red]
  ([xshift = -15pt, yshift = -2pt]A-2-1.north west) --
  ([xshift = -15pt, yshift = -2pt]A-2-1.south west);
\draw[line width = 3pt, green]
  ([xshift = -2pt, yshift = 8pt]A-1-1.north west) --
  ([xshift = -2pt, yshift = 8pt]A-1-1.north east);
\draw[line width = 3pt, red]
  ([xshift = 2pt, yshift = 6.5pt]A-1-2.north west) --
  ([xshift = 2pt, yshift = 6.5pt]A-1-2.north east);

\node at ([xshift = 20pt, yshift = -1.2pt]A.east) {$\times$};

\matrix[mystyle = .4cm, right = 40pt of A] (X)
{
  x_v \\
  x_s \\
};

\node at ([xshift = 17pt, yshift = -1.2pt]X.east) {$=$};

\matrix[mystyle = .4cm, right = 35pt of X] (B)
{
  b_v \\
  b_s \\
};
\end{tikzpicture}
\end{equation*}
